
/*---------------------------------------------------------------------------*

  Copyright 2012 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/


#ifndef DIRENT_H_
#define DIRENT_H_

#ifdef __cplusplus
extern "C" {
#endif

#define	NAME_MAX	256

#define DT_UNKNOWN       0
#define DT_FIFO          1
#define DT_CHR           2
#define DT_DIR           4
#define DT_BLK           6
#define DT_REG           8
#define DT_LNK          10
#define DT_SOCK         12
#define DT_WHT          14

typedef struct _DIR DIR;

typedef struct {
		unsigned int	d_ino;
		unsigned char	d_type;
		char			d_name[NAME_MAX];
} dirent;

DIR *opendir(const char *path);
dirent *readdir(DIR *dir);
int closedir(DIR *dir);

#ifdef __cplusplus
}
#endif

#endif /* DIRENT_H_ */
